<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html   xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta   http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta   name="robots" content="noindex, nofollow" />
<meta   http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />
<title>修改论坛信息 - <jcms:site.name/></title>
<script type="text/javascript" src="../_libs/jquery.tools.pack.js"></script>
<script type="text/javascript" src="../_data/jcmsV4.x.js"></script>
<link   type="text/css" rel="stylesheet" href="../_data/jcmsV4.x.css" />


<script type="text/javascript">
(function(){
	$(document).ready(function(){
		$.ajax({
			type:		"get",
			dataType:	"json",
			data:		"time="+(new Date().getTime()),
			url:		"../ajax/user.aspx?oper=ajaxUserInfo",
			success:	function(data){
				//数据绑定
				$("#txtForumName").val(data.forumname);
			}
		});
		$('#forumForm').ajaxForm({
			beforeSubmit: JumbotCms.AjaxFormSubmit,
			success :function(data){
				JumbotCms.Eval(data);
			}
		}); 
		$.formValidator.initConfig({onError:function(msg){alert(msg);}});
		$("#txtForumName")
			.formValidator({tipid:"tipForumName",onshow:"请输入论坛的登录名",onfocus:"请输入论坛的登录名",oncorrect:"OK"})
			.InputValidator({min:1,onerror:"请输入论坛的登录名"})
			.RegexValidator({regexp:"username",datatype:"enum",onerror:"汉字或字母开头,不支持符号"});
		$("#txtForumPass1").formValidator({tipid:"tipForumPass1",onshow:"请输入6-14位密码",onfocus:"请输入6-14位密码",oncorrect:"OK"}).InputValidator({min:6,max:14,onerror:"密码6-14位"});
		$("#txtForumPass2").formValidator({tipid:"tipForumPass2",onshow:"两次密码必须一致",onfocus:"两次密码必须一致",oncorrect:"OK"}).InputValidator({min:6,max:14,onerror:"重复密码6-14位,请确认"}).CompareValidator({desID:"txtForumPass1",operateor:"=",onerror:"2次密码不一致,请确认"});
	});
	//Form验证
	JumbotCms.AjaxFormSubmit=function(item){
		try{
			if(jQuery.formValidator.PageIsValid('1'))
			{
				JumbotCms.Loading.show("正在处理，请稍等...");
				return true;
			}else{
				return false;
			}
		}catch(e){
			return false;
		}
	};
})();
</script>
</head>
<body>
<style>
@import url(../style/member/style.v4.css);
#ucmenu{width:600px;}
</style>
<iframe frameborder="0" scrolling="no" src="../user/index_default.aspx?do=header" width="100%" height="76" marginwidth="0" marginheight="0" hspace="0" vspace="0" id="ifheader"></iframe>
<!--顶部结束,中框架开始-->
<div id="user_content">
	<!--menu-->
	<div class="user_menu">
		<iframe frameborder="0" scrolling="no" src="../user/index_default.aspx?do=left" width="176" height="700" name="iFrame1"  marginwidth="0" marginheight="0" hspace="0" vspace="0" id="ifleft"></iframe>
	</div>
	<script type="text/javascript">
function reinitIframe(str){
	var iframe = document.getElementById(str);
	try{
		var bHeight = iframe.contentWindow.document.body.scrollHeight;
		var dHeight = iframe.contentWindow.document.documentElement.scrollHeight;
		var height = Math.max(bHeight, dHeight);
		iframe.height =  height;
	}catch (ex){}
}
window.setInterval("reinitIframe('ifleft')", 200);
</script>
	<!--右侧功能细分区-->
	<div id="function_box">
		<div class="nav_two">
			<ul>
				<li><a href="../passport/changepassword.aspx">密码设置</a></li>
				<li><a href="../user/changeprofile_default.aspx">基本资料</a></li>
				<li class="currently"><a href="../user/changeforuminfo_default.aspx">论坛信息</a></li>
				<li><a href="../user/changeavatar_default.aspx">形象设计</a></li>
			</ul>
			<div class="clear"></div>
		</div>
		<div>
			<form id="forumForm" name="form1" method="post" action="?act=save">
				<table border="0" cellspacing="4" cellpadding="4" align="center" id="studio">
					<tr>
						<td width="120" height="30" align="right">绑定帐号：</td>
						<td width="410"><input type="text" class="inputss" style="width:180px;" name="txtForumName" id="txtForumName" />
						<span id="tipForumName" style="width: 200px"></span></td>
					</tr>
					<tr>
						<td height="30" align="right">帐号密码：</td>
						<td><input type="password" class="inputss" style="width:180px;" name="txtForumPass1" id="txtForumPass1" />
						<span id="tipForumPass1" style="width: 200px"></span></td>
					</tr>
					<tr>
						<td height="30" align="right">确认密码：</td>
						<td><input type="password" class="inputss" style="width:180px;" name="txtForumPass2" id="txtForumPass2" />
						<span id="tipForumPass2" style="width: 200px"></span></td>
					</tr>
					<tr>
						<td colspan="2" align="center" valign="bottom"><input type="submit" id="btnSave" value="确定修改" class="button" /></td>
					</tr>
				</table>
			</form>
			<div class="clear"></div>
		</div>
		<div class="clear"></div>
	</div>
	<div class="clear"></div>
</div>
<iframe frameborder="0" scrolling="no" src="../user/index_default.aspx?do=footer" width="100%" height="50" marginwidth="0" marginheight="0" hspace="0" vspace="0" id="iffooter"></iframe>
</body>
</html>